Package Details: lxqt_wallet 3.1.0-2

Git Clone URL: https://aur.archlinux.org/lxqt_wallet.git (read-only)
Package Base: lxqt_wallet
Description: Secure storage of information for lxqt
Upstream URL: https://github.com/mhogomchungu/lxqt_wallet
Licenses: BSD
Submitter: Faerbit
Maintainer: dude
Last Packager: dude
Votes: 5
Popularity: 0.006320
First Submitted: 2015-09-11 22:36
Last Updated: 2019-05-12 18:23

Latest Comments

dude commented on 2019-05-12 17:47

Thanks. I'll look into implementing that.

ConorIA commented on 2019-05-12 17:43

(I think) The issue is that DNOSECRETSUPPORT and DNOKDESUPPORT are hard-coded to false in the PKGBUILD, which means that they are both linked to. The way we handle this in sirikali is to check if those packages are present at build time.

https://aur.archlinux.org/cgit/aur.git/tree/PKGBUILD?h=sirikali

dude commented on 2019-05-12 17:34

They are both optional but you need to have at least one of them.

teohhanhui commented on 2019-05-12 17:27

It seems like kwallet and libsecret are not really optional:

$ ldd /usr/lib/liblxqt-wallet.so | grep secret
    libsecret-1.so.0 => /usr/lib/libsecret-1.so.0 (0x00007efdc0a4e000)

$ ldd /usr/lib/liblxqt-wallet.so | grep KF
    libKF5Wallet.so.5 => not found

dude commented on 2019-02-20 18:44

@hamster You need to add the public key to your keyring.

hamster commented on 2019-02-20 17:18

The package does not pass the signature check, unknown public key.

fabmazz commented on 2018-07-07 09:11

There is a mistake in the PKGBUILD, because the github name for the package is lxqt-wallet and not lxqt_wallet, thus it is failing to both downloading (404) and compiling (wrong source directory)